Index: /trunk/prototype/modules/mail/js/followupflag.js
===================================================================
--- /trunk/prototype/modules/mail/js/followupflag.js	(revision 7720)
+++ /trunk/prototype/modules/mail/js/followupflag.js	(revision 7760)
@@ -135,5 +135,5 @@
 						flagged.find("img").attr("src", "../prototype/modules/mail/img/flagChecked.png").css("margin-left","-3px");
 					}else{
-						flagged.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px","margin-left":"0"});			
+						flagged.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});			
 					}
 					
@@ -243,9 +243,9 @@
 						$('#td_message_followup_' + messageNumber + ', ' + 
 							'tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited")
-							.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px","margin-left":"0"});
+							.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 					}else{
 						$('tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).attr('title', '').find(".flag-edited").css("background", '#CCC');
 						$('tr[role="'+messageNumber+'_'+folder_name+'"] #td_message_followup_search_' + messageNumber).find(".flag-edited")
-							.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px","margin-left":"0"});
+							.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 					}
 					updateCacheFollowupflag(messageNumber, folder_name, false);
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 7751)
+++ /trunk/expressoMail1_2/js/search.js	(revision 7760)
@@ -564,5 +564,5 @@
 					td.id = "td_message_followup_search_"+uid_msg;
 					td.setAttribute("class","search-result-item");
-					td1 = '<div class="flag-edited" style="width:8px;height:6px; background-image: url(../prototype/modules/mail/img/mail-sprites.png);background-position: 0 -864px; background-repeat:no-repeat;"></div>';
+					td1 = '<div class="flag-edited" style="width:8px;height:6px;"><img src="../prototype/modules/mail/img/flagEditor.png"></div>';
 							
 					$(td).click(function(event, ui){	
@@ -607,5 +607,5 @@
 								
 								$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-								.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px",'background-repeat':'no-repeat'});
+								.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 								
 								if (fail) {
@@ -635,5 +635,5 @@
 							DataLayer.commit(false, false, function(){
 								$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-								.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px",'background-repeat':'no-repeat'});
+								.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 								if(current_folder == mailbox){
 									updateCacheFollowupflag(messageClickedId, mailbox, false);
@@ -644,5 +644,5 @@
 									$('#td_message_followup_' + messageClickedId + ', ' + 
 										'tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-										.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px","margin-left":"0",'background-repeat':'no-repeat'});			
+										.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 								}else{
 									updateCacheFollowupflag(messageClickedId, mailbox, false);
@@ -651,5 +651,5 @@
 									
 									$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-										.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px","margin-left":"0",'background-repeat':'no-repeat'});
+										.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 								}
 							});
@@ -657,5 +657,5 @@
 						} else {
 							$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-							.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px",'background-repeat':'no-repeat'});
+							.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 							$('tr[role="'+messageClickedId+'_'+mailbox+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", followupColor);
 							$(this).parents('[role="'+messageClickedId+'_'+mailbox+'"]').attr('class', 'selected_msg').find(':checkbox').trigger('click');
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 7755)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 7760)
@@ -2102,5 +2102,5 @@
 
         if(get_current_folder().split("_")[0] != "local"){
-		  td_element26.innerHTML = '<div class="flag-edited" style="width:8px;height:6px; background-image:url(../prototype/modules/mail/img/mail-sprites.png);background-position: 0 -864px; background-repeat:no-repeat;"</div>';
+		  td_element26.innerHTML = '<div class="flag-edited" style="width:8px;height:6px;"><img src="../prototype/modules/mail/img/flagEditor.png"></div>';
 	    } else {
             td_element26.innerHTML = "";
@@ -2177,5 +2177,5 @@
 					$('#td_message_followup_' + messageClickedId + ', ' + 
 					'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-					.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px"});
+					.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 					
 					
@@ -2202,5 +2202,5 @@
 					$('#td_message_followup_' + messageClickedId + ', ' + 
 					'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-					.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px"});
+					.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 					
 					$('#td_message_followup_' + messageClickedId + ', ' + 
@@ -2209,5 +2209,5 @@
 					$('#td_message_followup_' + messageClickedId + ', ' + 
 						'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-						.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px","margin-left":"0"});
+                        .css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 				});	
 
@@ -2215,5 +2215,5 @@
 				$('#td_message_followup_' + messageClickedId + ', ' + 
 				'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited")
-				.css({"background-image":"url(../prototype/modules/mail/img/mail-sprites.png)","background-position":"0 -864px"});
+				.css({"background-image":"url(../prototype/modules/mail/img/flagEditor.png)"});
 				$('#td_message_followup_' + messageClickedId + ', ' + 
 				'tr[role="'+messageClickedId+'_'+msg_folder+'"] #td_message_followup_search_' + messageClickedId).find(".flag-edited").css("background", followupColor);
@@ -5265,7 +5265,4 @@
 	var el_shared_users = Element("el_shared_users");
 	/* Recupera a pasta atual do usuário (selecionada) */
-    if ((typeof(folder) == "object") && folder.id){
-        folder = folder.id;
-    }
 	var user_shared = folder.split(cyrus_delimiter);
 	/* Verifica se está nas próprias pastas */