Index: /trunk/prototype/modules/mail/js/foldertree.js
===================================================================
--- /trunk/prototype/modules/mail/js/foldertree.js	(revision 7783)
+++ /trunk/prototype/modules/mail/js/foldertree.js	(revision 7786)
@@ -296,4 +296,5 @@
         over : function(a, b){
             //INICIO : SE A PASTA CONTER FILHAS EXPANDE 
+            $(b.helper).find(".draggin-folder,.draggin-mail").css("color", "green");
             over = $(this);
             $(this).addClass("folder-over");
@@ -313,6 +314,7 @@
             //
         },
-        out : function(){
+        out : function(a, b){
             //RETIRA BORDA EM VOLTA DA PASTA
+            $(b.helper).find(".draggin-folder,.draggin-mail").css("color", "");
             $(this).removeClass("folder-over");
         },
Index: /trunk/expressoMail1_2/templates/default/main.css
===================================================================
--- /trunk/expressoMail1_2/templates/default/main.css	(revision 7762)
+++ /trunk/expressoMail1_2/templates/default/main.css	(revision 7786)
@@ -1245,5 +1245,6 @@
 	font-weight : bold;
 	padding-right : 5px;
-	padding-left : 25px;	
+	padding-left : 5px;	
+	padding-top : 2px;	
 	font-family : Lucida Grande, Lucida Sans, Arial, sans-serif;
 	font-size : 11px;
@@ -1255,9 +1256,10 @@
 	background-position: 0 -923px;
 	background-repeat:no-repeat;
-	padding-left : 20px;
+	padding-right : 5px;
+	padding-left : 5px;	
+	padding-top : 2px;	
 	color : red;
 	text-align: right;
 	font-weight : bold;
-	padding-right : 5px;
 }
 
@@ -1641,2 +1643,3 @@
 	top: 585px;
 }		
+
Index: /trunk/expressoMail1_2/js/abas.js
===================================================================
--- /trunk/expressoMail1_2/js/abas.js	(revision 7765)
+++ /trunk/expressoMail1_2/js/abas.js	(revision 7786)
@@ -287,4 +287,5 @@
 						over : function(a, b){						
 							//SETA BORDA EM VOLTA DA PASTA
+							$(b.helper).find(".draggin-folder,.draggin-mail").css("color", "green");
 							over = $(this);
 							$(this).addClass("folder-over");
@@ -300,6 +301,7 @@
 							//$("#content_folders").stop().scrollTo($(this), {axis:'y', margin:true, offset:-50, duration:400});
 						},
-						out : function(){
+						out : function(a,b){
 							//RETIRA BORDA EM VOLTA DA PASTA
+							$(b.helper).find(".draggin-folder,.draggin-mail").css("color", "");
 							$(this).removeClass("folder-over");
 						},
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 7777)
+++ /trunk/expressoMail1_2/js/main.js	(revision 7786)
@@ -820,4 +820,5 @@
 									over : function(a, b){						
 										//SETA BORDA EM VOLTA DA PASTA
+										$(b.helper).find(".draggin-folder,.draggin-mail").css("color", "green");
 										over = $(this);
 										$(this).addClass("folder-over");
@@ -832,6 +833,8 @@
 												}
 									},
-									out : function(){
+									out : function(a,b){
+
 										//RETIRA BORDA EM VOLTA DA PASTA
+										$(b.helper).find(".draggin-folder,.draggin-mail").css("color", "");
 										$(this).removeClass("folder-over");
 									},
Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 7760)
+++ /trunk/expressoMail1_2/js/search.js	(revision 7786)
@@ -829,4 +829,5 @@
 						over : function(a, b){						
 							//SETA BORDA EM VOLTA DA PASTA
+							$(b.helper).find(".draggin-folder,.draggin-mail").css("color", "green");
 							over = $(this);
 							$(this).addClass("folder-over");
@@ -841,6 +842,7 @@
 									}
 						},
-						out : function(){
+						out : function(a,b){
 							//RETIRA BORDA EM VOLTA DA PASTA
+							$(b.helper).find(".draggin-folder,.draggin-mail").css("color", "");
 							$(this).removeClass("folder-over");
 						},
@@ -882,5 +884,5 @@
 					return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : $(this).find(".td_msg_search_subject").text(), type: "messages"}));
 			},
-			cursorAt: {cursor: "crosshair", top: -5, left: -5},
+			cursorAt: {top: 5, left: 56},
 			refreshPositions: true ,
 			scroll: true, 
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 7782)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 7786)
@@ -1648,4 +1648,5 @@
 							over : function(a, b){						
 								//SETA BORDA EM VOLTA DA PASTA
+                                $(b.helper).find(".draggin-folder,.draggin-mail").css("color", "green");
 								over = $(this);
 								$(this).addClass("folder-over");
@@ -1660,6 +1661,7 @@
 										}
 							},
-							out : function(){
+							out : function(a,b){
 								//RETIRA BORDA EM VOLTA DA PASTA
+                                $(b.helper).find(".draggin-folder,.draggin-mail").css("color", "");
 								$(this).removeClass("folder-over");
 							},