Index: /sandbox/webservice/api/rest/admin/DeleteUserResource.php
===================================================================
--- /sandbox/webservice/api/rest/admin/DeleteUserResource.php	(revision 7810)
+++ /sandbox/webservice/api/rest/admin/DeleteUserResource.php	(revision 7813)
@@ -20,6 +20,6 @@
 			if( $this->validatePermission($permission) ) 	
 			{	
-				$uidUser 		= $this->getParam('account_uid_del');
-				$uidNumberUser	= $this->getParam('account_uidnumber_del');
+				$uidUser 		= $this->getParam('accountUidDel');
+				$uidNumberUser	= $this->getParam('accountUidNumberDel');
 
 				//Field Validation
Index: /sandbox/webservice/api/rest/admin/UpdateUserResource.php
===================================================================
--- /sandbox/webservice/api/rest/admin/UpdateUserResource.php	(revision 7810)
+++ /sandbox/webservice/api/rest/admin/UpdateUserResource.php	(revision 7813)
@@ -25,15 +25,15 @@
 				$common	= new CommonFunctions();
 
-				$uidNumber		= trim($this->getParam('account_uidnumber_up'));
-				$loginUser 		= trim($this->getParam('account_login_up'));
-				$emailUser		= trim($this->getParam('account_email_up'));
-				$nameUser		= trim($this->getParam('account_name_up'));
-				$passwordUser	= trim($this->getParam('account_password_up'));
-				$rePasswordUser	= trim($this->getParam('account_re_password_up'));
-				$phoneUser		= trim($this->getParam('account_phone_up'));
-				$cpfUser		= trim($this->getParam('account_cpf_up'));
-				$rgUser			= trim($this->getParam('account_rg_up'));
-				$rgUF			= trim($this->getParam('account_rg_uf_up'));
-				$description 	= trim($this->getParam('account_description_up'));
+				$uidNumber		= trim($this->getParam('accountUidNumber'));
+				$loginUser 		= trim($this->getParam('accountLogin'));
+				$emailUser		= trim($this->getParam('accountEmail'));
+				$nameUser		= trim($this->getParam('accountName'));
+				$passwordUser	= trim($this->getParam('accountPassword'));
+				$rePasswordUser	= trim($this->getParam('accountRePassword'));
+				$phoneUser		= trim($this->getParam('accountPhone'));
+				$cpfUser		= trim($this->getParam('accountCpf'));
+				$rgUser			= trim($this->getParam('accountRg'));
+				$rgUF			= trim($this->getParam('accountRgUf'));
+				$description 	= trim($this->getParam('accountDescription'));
 
 				// Field Validation
Index: /sandbox/webservice/api/rest/admin/CreateUserResource.php
===================================================================
--- /sandbox/webservice/api/rest/admin/CreateUserResource.php	(revision 7810)
+++ /sandbox/webservice/api/rest/admin/CreateUserResource.php	(revision 7813)
@@ -25,15 +25,15 @@
 				$common	= new CommonFunctions();
 
-				$loginUser 		= trim($this->getParam('account_login'));
-				$emailUser		= trim($this->getParam('account_email'));
-				$nameUser		= trim($this->getParam('account_name'));
-				$profileUser	= trim($this->getParam('account_profile'));
-				$passwordUser	= trim($this->getParam('account_password'));
-				$rePasswordUser	= trim($this->getParam('account_re_password'));
-				$phoneUser		= trim($this->getParam('account_phone'));
-				$cpfUser		= trim($this->getParam('account_cpf'));
-				$rgUser			= trim($this->getParam('account_rg'));
-				$rgUF			= trim($this->getParam('account_rg_uf'));
-				$description 	= trim($this->getParam('account_description'));
+				$loginUser 		= trim($this->getParam('accountLogin'));
+				$emailUser		= trim($this->getParam('accountEmail'));
+				$nameUser		= trim($this->getParam('accountName'));
+				$profileUser	= trim($this->getParam('accountProfile'));
+				$passwordUser	= trim($this->getParam('accountPassword'));
+				$rePasswordUser	= trim($this->getParam('accountRePassword'));
+				$phoneUser		= trim($this->getParam('accountPhone'));
+				$cpfUser		= trim($this->getParam('accountCpf'));
+				$rgUser			= trim($this->getParam('accountRg'));
+				$rgUF			= trim($this->getParam('accountRgUf'));
+				$description 	= trim($this->getParam('accountDescription'));
 
 				// Field Validation
Index: /sandbox/webservice/api/rest/admin/EditUserResource.php
===================================================================
--- /sandbox/webservice/api/rest/admin/EditUserResource.php	(revision 7810)
+++ /sandbox/webservice/api/rest/admin/EditUserResource.php	(revision 7813)
@@ -33,13 +33,13 @@
 					// Return fields
 					$return = array();
-					$return['account_uidnumber']	= $fields['uidnumber'];
-					$return['account_login']		= $fields['uid'];
-					$return['account_email']		= $fields['mail'];
-					$return['account_name']			= $fields['givenname']." ".$fields['sn'];
-					$return['account_phone']		= $fields['telephonenumber'];	
-					$return['account_cpf']			= $fields['corporative_information_cpf'];
-					$return['account_rg']			= $fields['corporative_information_rg'];
-					$return['account_rg_uf']		= $fields['corporative_information_rguf'];
-					$return['account_description']	= $fields['corporative_information_description'];
+					$return['accountUidnumber']		= $fields['uidnumber'];
+					$return['accountLogin']			= $fields['uid'];
+					$return['accountEmail']			= $fields['mail'];
+					$return['accountName']			= $fields['givenname']." ".$fields['sn'];
+					$return['accountPhone']			= $fields['telephonenumber'];	
+					$return['accountCpf']			= $fields['corporative_information_cpf'];
+					$return['accountRg']			= $fields['corporative_information_rg'];
+					$return['accountRgUf']			= $fields['corporative_information_rguf'];
+					$return['accountDescription']	= $fields['corporative_information_description'];
 					
 					$this->setResult( array( "result" => $return ));
Index: /sandbox/webservice/api/rest/admin/SearchUserResource.php
===================================================================
--- /sandbox/webservice/api/rest/admin/SearchUserResource.php	(revision 7810)
+++ /sandbox/webservice/api/rest/admin/SearchUserResource.php	(revision 7813)
@@ -21,5 +21,5 @@
 			if( $this->validatePermission($permission) ) 	
 			{	
-				$searchUser = $this->getParam('account_search_user');
+				$searchUser = $this->getParam('accountSearchUser');
 
 				if( trim($searchUser) == "" && isset($searchUser) )	
Index: /sandbox/webservice/api/rest/admin/RenameUserResource.php
===================================================================
--- /sandbox/webservice/api/rest/admin/RenameUserResource.php	(revision 7810)
+++ /sandbox/webservice/api/rest/admin/RenameUserResource.php	(revision 7813)
@@ -22,6 +22,6 @@
 			if( $this->validatePermission($permission) ) 	
 			{	
-				$uidUser 	= $this->getParam('account_uid_rename');
-				$uidNewUser = $this->getParam('account_uid_new_rename');
+				$uidUser 	= $this->getParam('accountUidRename');
+				$uidNewUser = $this->getParam('accountUidNewRename');
 											   
 				// Field Validation