Index: sandbox/webservice/restclient_new/js/resources.js
===================================================================
--- sandbox/webservice/restclient_new/js/resources.js	(revision 7809)
+++ sandbox/webservice/restclient_new/js/resources.js	(revision 7815)
@@ -265,15 +265,15 @@
 		{
 			auth 				:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],	
-			account_login		:["text", "enabled", "string", true, "", "Login do usuário"],
-			account_email		:["text", "enabled", "string", true, "", "Email do usuário"],
-			account_name		:["text", "enabled", "string", true, "", "Nome do usuário"],
-			account_profile 	:["text", "enabled", "string", true, "", "Perfil do usuário( Verifique se o perfil está disponível no servidor)"], 
-			account_password 	:["password", "enabled", "string", true, "", "Senha do usuário"],
-			account_re_password	:["password", "enabled", "string", true, "", "Confirmação da senha do usuário"],
-			account_phone		:["text", "enabled", "string", true, "", "Telefone do usuário. Máscara padrão (00)0000-0000"],
-			account_cpf			:["text", "enabled", "string", true, "", "CPF do usuário. Máscara padrão 000.000.000-00"],
-			account_rg 			:["text", "enabled", "string", true, "", "RG do usuário"],
-			account_rg_uf 		:["text", "enabled", "string", true, "", "UF"],
-			account_description :["text", "enabled", "string", true, "", "Descrição do usuário"]
+			accountLogin		:["text", "enabled", "string", true, "", "Login do usuário"],
+			accountEmail		:["text", "enabled", "string", true, "", "Email do usuário"],
+			accountName			:["text", "enabled", "string", true, "", "Nome do usuário"],
+			accountProfile 		:["text", "enabled", "string", true, "", "Perfil do usuário( Verifique se o perfil está disponível no servidor)"], 
+			accountPassword 	:["password", "enabled", "string", true, "", "Senha do usuário"],
+			accountRePassword	:["password", "enabled", "string", true, "", "Confirmação da senha do usuário"],
+			accountPhone		:["text", "enabled", "string", true, "", "Telefone do usuário. Máscara padrão (00)0000-0000"],
+			accountCpf			:["text", "enabled", "string", true, "", "CPF do usuário. Máscara padrão 000.000.000-00"],
+			accountRg 			:["text", "enabled", "string", true, "", "RG do usuário"],
+			accountRgUf 		:["text", "enabled", "string", true, "", "UF"],
+			accountDescription  :["text", "enabled", "string", true, "", "Descrição do usuário"]
 		}
 	},
@@ -290,5 +290,5 @@
 		{
 			auth 				:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
-			account_search_user	:["text", "enabled", "string", true, "", "Procurar usuário ( igual ao módulo admin do expresso )"]		
+			accountSearchUser	:["text", "enabled", "string", true, "", "Procurar usuário ( igual ao módulo admin do expresso )"]		
 		}
 	},
@@ -304,7 +304,7 @@
 		params 	:
 		{
-			auth 					:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
-			account_uid_del 		:["text", "enabled", "string", true, "", "UID do usuário" ],
-			account_uidnumber_del 	:["text", "enabled", "string", true, "", "UIDNumber do usuário"]
+			auth 				:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
+			accountUid 			:["text", "enabled", "string", true, "", "UID do usuário" ],
+			accountUidNumber	:["text", "enabled", "string", true, "", "UIDNumber do usuário"]
 		}
 	},
@@ -320,6 +320,6 @@
 		params 	:
 		{
-			auth 					:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
-			account_uidnumber_edit	:["text", "enabled", "string", true, "", "UIDNumber do usuário para edição"]
+			auth 				:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
+			accountUidNumber	:["text", "enabled", "string", true, "", "UIDNumber do usuário para edição"]
 		}
 	},
@@ -336,6 +336,6 @@
 		{
 			auth 					:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
-			account_uid_rename		:["text", "enabled", "string", true, "", "UID do usuário a ser renomeado."],
-			account_uid_new_rename	:["text", "enabled", "string", true, "", "Novo UID do usuário ser renomeado."]
+			accountUidRename		:["text", "enabled", "string", true, "", "UID do usuário a ser renomeado."],
+			accountUidNewRename		:["text", "enabled", "string", true, "", "Novo UID do usuário ser renomeado."]
 		}
 	},
@@ -351,16 +351,16 @@
 		params 	:
 		{
-			auth 					:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
-			account_uidnumber_up	:["text", "enabled", "string", true, "", "UIDNumber do usuário"], 	
-			account_login_up 		:["text", "enabled", "string", true, "", "Login do usuário"],	
-			account_email_up 		:["text", "enabled", "string", true, "", "Email do usuário"], 	
-			account_name_up 		:["text", "enabled", "string", true, "", "Nome do usuário"], 	
-			account_password_up 	:["text", "enabled", "string", true, "", "Senha do usuário"], 	
-			account_re_password_up	:["text", "enabled", "string", true, "", "Confirmação do usuário"], 	
-			account_phone_up		:["text", "enabled", "string", true, "", "Telefone do usuário. Máscara padrão (00)0000-0000"], 	
-			account_cpf_up		 	:["text", "enabled", "string", true, "", "CPF do usuário. Máscara padrão 000.000.000-00"], 	
-			account_rg_up 			:["text", "enabled", "string", true, "", "RG do usuário"], 	
-			account_rg_uf_up 		:["text", "enabled", "string", true, "", "UF"], 	
-			account_description_up	:["text", "enabled", "string", true, "", "Descrição do usuário"] 	
+			auth 				:["text", "disabled", "string", true, "", "Chave de autenticação do usuário"],
+			accountUidNumber	:["text", "enabled", "string", true, "", "UIDNumber do usuário"], 	
+			accountLogin 		:["text", "enabled", "string", true, "", "Login do usuário"],	
+			accountEmail 		:["text", "enabled", "string", true, "", "Email do usuário"], 	
+			accountName 		:["text", "enabled", "string", true, "", "Nome do usuário"], 	
+			accountPassword 	:["text", "enabled", "string", true, "", "Senha do usuário"], 	
+			accountRePassword	:["text", "enabled", "string", true, "", "Confirmação do usuário"], 	
+			accountPhone		:["text", "enabled", "string", true, "", "Telefone do usuário. Máscara padrão (00)0000-0000"], 	
+			accountCpf		 	:["text", "enabled", "string", true, "", "CPF do usuário. Máscara padrão 000.000.000-00"], 	
+			accountRg 			:["text", "enabled", "string", true, "", "RG do usuário"], 	
+			accountRgUf 		:["text", "enabled", "string", true, "", "UF"], 	
+			accountDescription	:["text", "enabled", "string", true, "", "Descrição do usuário"] 	
 		}
 	}